#include <QApplication>
#include <QPushButton>
#include <QHBoxLayout>
#include <QVBoxLayout>
#include "CalculateSum.h"

MainWindow::MainWindow(QWidget *parent)
: QWidget(parent) {
	QPushButton *CalculateButton = new QPushButton("Calculate");
	QPushButton *QuitButton = new QPushButton("Quit");
	LineEdit1 = new QLineEdit; LineEdit2 = new QLineEdit;
	QLabel *label1 = new QLabel("+");
	QLabel *label2 = new QLabel("=");
	ResultLabel = new QLabel;
	QLabel *label3 = new QLabel("Sergiy Vovk. 2012.");
	connect(CalculateButton, SIGNAL(clicked()),
	        this, SLOT(ShowSum()));
	connect(QuitButton, SIGNAL(clicked()), qApp, SLOT(quit()));

	QHBoxLayout *layout1 = new QHBoxLayout;
	layout1->addWidget(CalculateButton);
	layout1->addWidget(QuitButton);

	QHBoxLayout *layout2 = new QHBoxLayout;
	layout2->addWidget(LineEdit1);
	layout2->addWidget(label1);
	layout2->addWidget(LineEdit2);
	layout2->addWidget(label2);
	layout2->addWidget(ResultLabel);

	QVBoxLayout *layout3 = new QVBoxLayout;
	layout3->addLayout(layout1);
	layout3->addLayout(layout2);
	layout3->addWidget(label3);
	setLayout(layout3);
}

void MainWindow::ShowSum() {
	if ((LineEdit1->text() != "") && (LineEdit2->text() != ""))
		ResultLabel->setText(QString::number(
LineEdit1->text().toInt() + LineEdit2->text().toInt()));
}

int main(int argc, char *argv[]) {
	QApplication app(argc, argv);
	MainWindow wnd;
	wnd.resize(640, 200);
	wnd.show();
	return app.exec();
}

