#!/bin/bash
clear
cd Release || exit

echo 'set pagination off
set logging file debug_log.txt
set logging on
run' > gdb_commands.txt

[ -e debug_log.txt ] && rm debug_log.txt
gdb -batch -x gdb_commands.txt TestApp
if [ -e debug_log.txt ]; then
	lastLine=$(tail -n 1 debug_log.txt)
	if ! grep -Eq '^\[Inferior 1 \(process [[:digit:]]+\) exited normally\]$' <<< "$lastLine"; then
		echo '-----------------------'
		echo 'The error was happened.'
		echo '-----------------------'
	fi
fi
echo 'Press any key to exit.'
read -s -n 1

