#ifndef FLYELECTRONS_H
#define FLYELECTRONS_H
#include <GL/glu.h>
#include <QGLWidget>
#include <QTimer>
class FlyElectrons2 : public QGLWidget {
    Q_OBJECT
public:
	FlyElectrons2(QWidget *parent = 0);
	~FlyElectrons2();
protected:
    void initializeGL();
    void resizeGL(int width, int height);
    void paintGL();
	void keyPressEvent(QKeyEvent *event);
	void mouseDoubleClickEvent(QMouseEvent *event);
private slots:
	void onTimeout();
private:

	struct Coordinate {
		float a, // кут
			  r; // радіус
	};

	QVector<Coordinate> moveTable;
	int position;
	GLUquadric *quad;
	QTimer timer;
	float moveSpeed;
};
#endif
