#ifndef HIPERCUBE_H
#define HIPERCUBE_H
#include <QGLWidget>
#include <QTimer>
class HiperCube : public QGLWidget {
	Q_OBJECT
public:
	HiperCube(QWidget *parent = 0);
protected:
	void initializeGL();
	void resizeGL(int width, int height);
	void paintGL();
	void keyPressEvent(QKeyEvent *event);
	void mouseDoubleClickEvent(QMouseEvent *event);
private slots:
	void onTimeout();
private:
	void drawCube(float size);
	QTimer timer;
	float rotationZ = 360.0, position = 0.0, cube1Size = 2.6, cube2Size = 1.5;
};
#endif
