#include <iostream>
using namespace std;

class Car {
public:
	int cost, // ціна
	    lenght, // довжина
	    width, // ширина
	    height; // висота

	Car() { // Конструктор - функція яка виклиається при створені екземпляру класу.
	 	// Призначаємо автомобілю випадкові дані:
		cost = rand() % 1000 + 1;
		width = rand() % 4 + 1;
		lenght = rand() % 4 + width + 2;
		height = rand() % 3 + 1;
		// Функція rand() повертає випадкове ціле число >= 0.
		// Оператор % це остаток від ділення.
	} // Кінець конструктору.

	int getVolume() { return lenght * width * height; } // Функція getVolume визначає обьем автомобіля.

	void showData() { // Функція showData виводить дані про автомобіль.
		cout << "Ціна: " << cost << endl
		     << "Довжина: " << lenght << endl
		     << "Ширина: " << width << endl
		     << "Висота: " << height << endl
		     << "Обьем: " << getVolume() << endl
		     << "-------------------" << endl;
	}
}; // Кінець класу Car.

int main() {
	srand(time(nullptr)); // Ініціюємо генератор випадкових чисел.
	Car cars[5]; // Створюмо в оперативній пам'яті 5 автомобілів.
	// cars це масив з 5 екземплярами класу Car.

	// Виводимо дані про автомобілі в масиві cars. Для кожного екземпляру буде викликана функція showData.
	cout << "Дані про автомобілі в масиві cars:" << endl << "-------------------" << endl;
	for (Car c : cars) c.showData();

	// Визначаємо та виводимо середню ціну автомобілів.
	int i = 0;
	for (Car c : cars) i += c.cost;
	cout << "Середня ціна автомобілів: " << i / 5 << endl;

	Car c1, c2; // Стврюємо в оперативній памяті ще два екземпляри класу Car з іменами c1 та c2.

	// Перевизначаємо ціну автомобілів c1 та c2:
	c1.cost = 30;
	c2.cost = 90;

	// Виводимо дані про автомобілі c1 та c2:
	cout << "-------------------" << endl
	     << "Дані про автомобілі c1 та c2:" << endl << "-------------------" << endl;
	c1.showData();
	c2.showData();

	// Виводимо суму обьемів автомобілів c1 та c2:
	cout << "Сума обьемів автомобілів c1 та c2: " << c1.getVolume() + c2.getVolume() << endl;

	return 0;
}
