#include <iostream>
#include <typeinfo>

template<class T> void f(T a) {
	const std::type_info& t = typeid(a);
	std::cout << a << ": ";

	if (t == typeid(char)) std::cout << "char\n";
	else if (t == typeid(int)) std::cout << "int\n";
	else std::cout << "unknown\n";

	std::cout << "Type hash code: " << t.hash_code() << std::endl;
	std::cout << "Type name: " << t.name() << std::endl;
}

int main() {
	f('a');
	f("b");
	f(9);
	return 0;
}
