#include <map>
#include <iostream>

int main() {
	std::map<int, std::string> m;
	m[1] = "one";
	m[2] = "two";
	m[3] = "three";
	m[4] = "four";
	m[5] = "five";
	std::cout << "Size of m: " << m.size() << std::endl;
	std::cout << "m[5] = " << m[5] << std::endl;

	std::cout << "\nm content:\n";
	// Змінна p має клас pair.
	for (auto p : m) std::cout << p.first << " : " << p.second << std::endl;

	std::cout << std::endl;
	// Спосіб перебору map, який з'явився в C++17.
	for (auto&& [key, value] : m) std::cout << key << " : " << value << "\n";

	m.erase(5);
	std::cout << "\nm content after \"5\" erase:\n";
	for (auto it = m.begin(); it != m.end(); it++)
		std::cout << it->first << " : " << it->second << std::endl;
	return 0;
}
