#include <stack>
#include <iostream>

int main() {
	std::stack<int> s;
	for (int i = 1; i <= 9; i++) s.push(i); // push - insert element.
	std::cout << "Size of s: " << s.size() << std::endl;
	while (!s.empty()) {
		std::cout << s.top() << std::endl; // top - access next element.
		s.pop(); // Remove top element.
	}
	std::cout << "Size of s: " << s.size() << std::endl;
	return 0;
}
