#include <iostream>
#include <fstream>
#include <cstdlib>
#include <time.h>

int main() {
	// За замовчанням клас ofstream відкриває файл в режимі ios_base::out.
	// Режим ios_base::out переписує існуючий зміст файлу.

	// Режим ios_base::out означає output - allow output operations on the stream.
	// Режим ios_base::app означає append -
	// set the stream's position indicator to the end of the stream
	// before each output operation.

	// Режим ios_base:ate не добавляє дані в кінець файлу.

	// Замість ios_base можна використовувати ios.
	 // Відкриваємо файл на добавку даних.
	std::ofstream f("/tmp/out.txt", std::ios::out | std::ios::app);

	srand(time(nullptr));
	int i = rand();
	f << i << std::endl;
	std::cout << i << " was added to /tmp/out.txt file.\n";
	return 0;
}
