#include <vector>
#include <ctime>
#include <regex>
#include <iostream>

int main() {
	std::vector<std::string> v;
	for (int i = 1; i < 2000000; i++) v.push_back("Number " + std::to_string(i));

	time_t begin = time(nullptr);

	unsigned sum = 0;
	std::smatch sm;
	std::regex r("Number (\\d+)");
	for (const std::string& s : v) {
		if (std::regex_match(s, sm, r)) sum += std::stoi(sm[1]);
	}

	time_t end = time(nullptr);
	int elapsedSeconds = end - begin;
	std::cout << "Sum: " << sum << std::endl << "Elapsed seconds: " << elapsedSeconds << std::endl;
	return 0;
}
