#include <iostream>

class Example {
private:
	// Елемент з специфікатором mutable може змінити також функція з специфікатором const.
	mutable int a;
	int b;
public:
	// Функції з специфікатором const не мають права змінювати елементи класу
	// крім тих які мають специфікатор mutable.
	int getA() const { return a; }
	void setA(int i) const {
		a = i;

		// Виникне помилка компіляції assignment of member ‘Example::b’ in read-only object.
//		b = i;
	}
};

int main() {
	Example example;
	example.setA(9);
	std::cout << example.getA() << std::endl;
	return 0;
}
