#include <iostream>
#include <memory>
#include <vector>

class MyClass {
public:
	MyClass() {
		counter++;
		number = counter;
		std::cout << "MyClass " << number << " constructor was invoked.\n";
	}
	~MyClass() {
		std::cout << "MyClass " << number << " destructor was invoked.\n";
	}
	static int counter;
	int number;
};

int MyClass::counter = 0;

int main() {
	{
		std::cout << "After block begin.\n";
		std::vector<std::shared_ptr<MyClass>> v;
		for (int i = 0; i < 5; i++) v.push_back(std::shared_ptr<MyClass>(new MyClass));
		std::cout << "Before block end.\n";
	}
	std::cout << "After block end.\n";
	return 0;
}
