#include <iostream>

// long займає 8 байт. int займає 4 байти. char займає 1 байт.

struct EmptyStruct {}; // Пустий клас або структура займає 1 байт.
struct A1 { char c; }; // 1 байт
struct A2 { char c1; char c2; }; // 2 байти
struct A3 { long l; }; // 8 байти.
struct A4 { long l; char c1; }; // 16 байти.
struct A5 { long l; char c1; char c2; }; // 16 байти.
struct A6 { long l; char c1; char c2; char c3; }; // 16 байти.
struct A7 { long l; int i; }; // 16 байти.
struct A8 { long l; int i1; int i2; }; // 16 байти.
struct A9 { long l; int i1; int i2; char c; }; // 24 байти.

/*
Розмір структури вирівнюється по найбільшому елементу і визначається по формулі
Розмір_найбільшого елементу * n.
n це таке мінімальне число при якому в структуру влізуть всі елементи.

Можна уявити що структура це прямокутник. Набільший елемент цілком займає першу полосу.
Інші елементи займають місце що залишилось.
*/

int main() {
	std::cout << "sizeof(EmptyStruct): " << sizeof(EmptyStruct) << std::endl; // 1
	std::cout << "sizeof(A1): " << sizeof(A1) << std::endl; // 1
	std::cout << "sizeof(A2): " << sizeof(A2) << std::endl; // 2
	std::cout << "sizeof(A3): " << sizeof(A3) << std::endl; // 8
	std::cout << "sizeof(A4): " << sizeof(A4) << std::endl; // 16
	std::cout << "sizeof(A5): " << sizeof(A5) << std::endl; // 16
	std::cout << "sizeof(A6): " << sizeof(A6) << std::endl; // 16
	std::cout << "sizeof(A7): " << sizeof(A7) << std::endl; // 16
	std::cout << "sizeof(A8): " << sizeof(A8) << std::endl; // 16
	std::cout << "sizeof(A9): " << sizeof(A9) << std::endl; // 24
	return 0;
}
