#include <iostream>

class DivisionByZero{};

void f() {
	std::cout << "Введіть число: ";
	int n;
	std::cin >> n;
	if (n == 0) throw DivisionByZero();
	if (n < 0) throw std::invalid_argument("Від'ємне число.");
	int i = 9 / n;
	std::cout << "9 / " << n << " = " << i << std::endl;
	std::cout << "Кінець успішного виконання f()." << std::endl;
}

int main() {
	try {
		f();
	} catch(const DivisionByZero &e) {
		std::cerr << "Ділення на 0." << std::endl;

		// Щоб збудити виняткову ситуацію знову, потрібно викликати: throw;

	 // Обробляємо всі ситуації, крім тих які оброблені вище.
	} catch (...) {
		std::cerr << "Трапилась невідома помилка." << std::endl;
	}
	return 0;
}
