#include <windows.h>
#include <commctrl.h>
HINSTANCE hInst;
HWND hStatusWin;

LRESULT CALLBACK MainWndProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam) {
	switch (uMsg) {
	case WM_SIZE:
		{
			int iAr[4];
			SendMessage(hStatusWin, WM_SIZE,
			            wParam, lParam);
			iAr[3] = LOWORD(lParam);
			iAr[2] = iAr[3] - 100;
			iAr[1] = iAr[2] - 15;
			iAr[0] = iAr[1] - 15;
			SendMessage(hStatusWin, SB_SETPARTS,
			            4, (LPARAM)iAr);
		}
		break;
	case WM_DESTROY:
		PostQuitMessage(0);
		break;
	default:
		return DefWindowProc(hWnd, uMsg, wParam, lParam);
	}
	return 0;
}

void InitApp(int iMainWindowCmdShow) {
	WNDCLASS wc = {0}; HWND h; RECT rc; int iAr[4];
	char szDate[32];

	wc.lpfnWndProc   = MainWndProc;
	wc.hCursor       = LoadCursor(NULL, IDC_ARROW);
	wc.hInstance     = hInst;
	wc.lpszClassName = "TestWinClass";
	wc.hbrBackground = (HBRUSH)COLOR_WINDOWFRAME;
	RegisterClass(&wc);
	h = CreateWindow(
			"TestWinClass", "This is test",
			WS_OVERLAPPEDWINDOW,
			CW_USEDEFAULT, 0, CW_USEDEFAULT, 0,
			0, 0, hInst, 0);
	hStatusWin = CreateStatusWindow(
			WS_CHILD | WS_VISIBLE, "", h, 0);

	GetClientRect(h, &rc);
	iAr[3] = rc.right;
	iAr[2] = iAr[3] - 80;
	iAr[1] = iAr[2] - 30;
	iAr[0] = iAr[1] - 30;
	SendMessage(hStatusWin, SB_SETPARTS,
	            4, (LPARAM)iAr);
	
	SendMessage(hStatusWin, SB_SETTEXT, SBT_NOBORDERS | 0, (LPARAM)"C:\\Windows\\Tips.txt");
	SendMessage(hStatusWin, SB_SETTEXT, 1, (LPARAM)"N");
	SendMessage(hStatusWin, SB_SETTEXT, 2, (LPARAM)"M");
	GetDateFormat(
			0, LOCALE_NOUSEROVERRIDE | DATE_LONGDATE,
			0, 0, szDate, 32);
	SendMessage(hStatusWin, SB_SETTEXT, 3, (LPARAM)szDate);

	ShowWindow(h, iMainWindowCmdShow);
}

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow) {
	MSG msg;
	hInst = hInstance;
	InitApp(nCmdShow);
	while (GetMessage(&msg, 0, 0, 0)) {
		TranslateMessage(&msg);
		DispatchMessage(&msg); 
	}
	return msg.wParam;
}
