#include <GL/glut.h>

double aspectRatio = 0;

void renderScene() {
	glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);

	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();
	glOrtho(-10 * aspectRatio, 10 * aspectRatio, -10, 10, -1, 1);
	glMatrixMode(GL_MODELVIEW);
	glLoadIdentity();

	glColor3f(1, 1, 1);

	glPushMatrix();
	glTranslatef(0, 3, 0);
	glScalef(1 / 152.38, 1 / 152.38, 1 / 152.38);
	char text[] = "Hello.";
	for (char* p = text; *p != '\0'; p++)
		glutStrokeCharacter(GLUT_STROKE_ROMAN, *p);
	glPopMatrix();

	glutSwapBuffers();
}

void windowReshapeFunc(GLint newWidth, GLint newHeight) {
	aspectRatio = double(newWidth) / double(newHeight);
	glViewport(0, 0, newWidth, newHeight);
}

int main(int argc, char** argv) {
	glutInit(&argc, argv);

	glutInitDisplayMode(GLUT_DEPTH | GLUT_DOUBLE | GLUT_RGBA);
	glutInitWindowPosition(80, 10);
	glutInitWindowSize(1200, 700);
	glutCreateWindow("Show text");

	glClearColor(0.0, 0.0, 0.0, 0.0);

	// Реєстрація зворотних викликів.
	glutDisplayFunc(renderScene);
	glutReshapeFunc(windowReshapeFunc);

	glutMainLoop();
	return 0;
}
