#include <QApplication>
#include <QWidget>
#include <QPainter>
#include <math.h>

class MainWindow : public QWidget {
protected:
	void paintEvent(QPaintEvent *event);
};

void MainWindow::paintEvent(QPaintEvent * /* event */) {
	QPainter painter(this);
	int x, y; double d;
	for (d = 2.0; d < 300.0; d+=0.01) {
		x = ((int)(cos(d / 10) * d)) + 320;
		y = ((int)(sin(d / 10) * d)) + 320;
		painter.drawPoint(x, y);
	}
}

int main(int argc, char *argv[]) {
	QApplication app(argc, argv);
	MainWindow wnd;
	wnd.resize(640, 640);
	wnd.show();
	return app.exec();
}

// Sergiy Vovk. 2012.

