#include <QApplication>
#include <QMessageBox>
#include <ctime>
#include "FlyElectrons2.h"

int main(int argc, char *argv[]) {
    QApplication app(argc, argv);
	if (!QGLFormat::hasOpenGL()) {
		QMessageBox::warning(NULL, "FlyElectrons", "This system has no OpenGL support.");
        return 1;
    }
	srand(time(0));
	FlyElectrons2 flyelectrons;
	flyelectrons.setWindowTitle("FlyElectrons");
	flyelectrons.resize(1250, 680);
	flyelectrons.show();
    return app.exec();
}
