#include <QApplication>
#include <QMessageBox>
#include "HiperCube.h"

int main(int argc, char *argv[]) {
    QApplication app(argc, argv);
	if (!QGLFormat::hasOpenGL()) {
		QMessageBox::warning(NULL, "FlyElectrons", "This system has no OpenGL support.");
        return 1;
    }
	HiperCube hipercube;
	hipercube.resize(1250, 680);
	hipercube.show();
    return app.exec();
}
