import QtQuick 2.4
import QtQuick.Controls 1.3
import QtQuick.Window 2.2
import QtQuick.Dialogs 1.2
import TestApp.MyObject 1.0

ApplicationWindow {
	id: applicationWindow1
	title: qsTr("Hello world")
    width: 640
    height: 480
    visible: true
	MyObject { id: myobject }

	MessageDialog {
		id: messageDialog
		title: qsTr("May I have your attention, please?")
		function show(caption) {
			messageDialog.text = caption;
			messageDialog.open();
		}
	}

    menuBar: MenuBar {
        Menu {
            title: qsTr("&File")
            MenuItem {
                text: qsTr("&Open")
                onTriggered: messageDialog.show(qsTr("Open action triggered"));
            }
            MenuItem {
                text: qsTr("E&xit")
                onTriggered: Qt.quit();
            }
        }
    }

	Button {
		id: button1
		x: 278
		y: 299
		text: qsTr("Button")
		onClicked: myobject.testFunction()
	}
}
