#include <iostream>
#include <functional>

void f1(int n1, int n2, int n3) {
	std::cout << n1 << " "  << n2 << " " << n3 << std::endl;
}

int main() {

	// При виклику f2 буде викликана f1 з числами 1, 2, 3.
	auto f2 = std::bind(f1, 1, 2, 3);
	f2();

	// При виклику f3 буде викликана f1
	// з числами 1, 2 і з тим яке передали в f3 першим аргументом.
	auto f3 = std::bind(f1, 1, 2, std::placeholders::_1);
	f3(9);

	return 0;
}
