#include <iostream>
#include <boost/asio.hpp>

int main() {
	boost::asio::io_service svc;
	boost::asio::ip::tcp::resolver resolver(svc);
	boost::asio::ip::tcp::socket s(svc);
	boost::asio::connect( s, resolver.resolve({"google.com", "80"}) );

	s.send( boost::asio::buffer("GET /\r\n\r\n") );

	boost::system::error_code ec;
	std::string response;
	do {
		char buf[1024];
		size_t bytes_transferred = s.receive( boost::asio::buffer(buf), {}, ec );
		if (!ec) response.append(buf, buf + bytes_transferred);
	} while (!ec);
	std::cout << response << std::endl;
	return 0;
}
