#include <iostream>
#include <vector>
#include <boost/algorithm/string.hpp> // З пакунку boost-devel.

int main() {
	std::vector<std::string> v;
	split(v, "string to split", boost::is_any_of("\t "));
	for (string& s : v) std::cout << s << std::endl;
	std::cout << std::endl;

	v.clear();
	boost::split(v, "one,two,three,four,five", boost::is_any_of(","));
	for (std::string& s : v) std::cout << s << std::endl;
	return 0;
}
