#include <array>
#include <numeric>
#include <iostream>

int getSum(auto& a) {
	return std::accumulate(a.begin(), a.end(), 0);
}

int main() {
	// Клас array дозволяє створити обєктний масив фіксованого розміру.
	std::array<int, 9> a;
	std::cout << "Size of a: " << a.size() << std::endl;
	for (int i = 0; i < 9; i++) a[i] = i + 1;
	std::cout << "Content of a: " << std::endl;
	for (int& e : a) std::cout << e << std::endl;
	std::cout << "First element of a: " << a.front() << std::endl;
	std::cout << "Last element of a: " << a.back() << std::endl;
	std::cout << "Elements sum of a: " << getSum(a) << std::endl;
	a.fill(9);
	for (int& e : a) std::cout << e << std::endl;
	return 0;
}
