#include <deque>
#include <iostream>

int main() {
	// deque читається як дек і означає double-ended queue.
	std::deque<int> d, s;
	// push_back - add element at the end.
	for (int i = 1; i <= 9; i++) {
		d.push_back(i);
		s.push_back(i);
	 }

	std::cout << "Size of d: " << d.size() << std::endl;
	while (!d.empty()) {
		std::cout << d.front() << std::endl; // front - access first element.
		d.pop_front(); // delete first element.
	}
	std::cout << "Size of d: " << d.size() << std::endl;

	// deque може бути стеком.
	std::cout << "------------------------\nSize of s: " << s.size() << std::endl;
	while (!s.empty()) {
		std::cout << s.back() << std::endl; // back - access last element.
		s.pop_back(); // Delete last element.
	}
	std::cout << "Size of s: " << s.size() << std::endl;
	return 0;
}
