#include <queue>
#include <iostream>

int main() {
	std::queue<int> q;
	for (int i = 1; i <= 9; i++) q .push(i); // push - insert element.
	std::cout << "Size of q: " << q.size() << std::endl;
	while (!q.empty()) {
		std::cout << q.front() << std::endl; // front - access next element.
		q.pop(); // Remove next element.
	}
	std::cout << "Size of q: " << q.size() << std::endl;
	return 0;
}
