#include <iostream>

std::string getBinaryValue(uint64_t number) {
	std::string s("");
	uint64_t i, n = 1;
	for (i = 0; i < 64; i++, n <<= 1) s = ((number & n) ? '1' : '0') + s;
	return s;
}

int main() {
	std::cout << "Size of double: " << sizeof(double) << std::endl;
	uint64_t i, n = 0;
	double* d = reinterpret_cast<double*>(&n);
	std::cout << getBinaryValue(n) << ": " << *d << std::endl;
	for (i = 0, n = 1; i < 64; i++, n <<= 1)
		std::cout << getBinaryValue(n) << ": " << *d << std::endl;
	return 0;
}
