#include <iostream>
#include <fstream>

struct S { bool b; int i; long l; double d; char s[64]; };

int main() {
	{
		S s = { true, 9, 54692349, 3.19, "Check." };
		std::ofstream f("/tmp/struct.bin", std::ios::out | std::ios::binary);
		f.write( reinterpret_cast<char*>(&s), sizeof(s) );
	}
	{
		S s = {};
		std::ifstream f("/tmp/struct.bin", std::ios::in | std::ios::binary);
		f.read( reinterpret_cast<char*>(&s), sizeof(s) );
		std::cout << std::boolalpha << "b: " << s.b << std::endl
		          << "i: " << s.i << std::endl
		          << "l: " << s.l << std::endl
		          << "d: " << s.d << std::endl
		          << "s: " << s.s << std::endl;
	}
	return 0;
}
