#include <iostream>
#include <typeinfo>

#define show_type_name(_t) \
	system(("echo " + std::string(typeid(_t).name()) + " | c++filt -t").c_str())

int main() {
	auto a = {"one", "two", "three"};
	std::cout << "Type of a: " << typeid(a).name() << std::endl;
	std::cout << "Real type of a:\n";
	show_type_name(a);
	for (auto s : a) {
		if (std::string(s) == "one") {
			std::cout << "Type of s: " << typeid(s).name() << std::endl;
			std::cout << "Real type of s:\n";
			show_type_name(s);
		}
		std::cout << s << std::endl;
	}

	int i = 5;
	std::cout << "Type of i: " << typeid(i).name() << std::endl;
	std::cout << "Real type of i:\n";
	show_type_name(i);
	return 0;
}
