#include <cstdio>
#include <cstdlib>

int main() {
	// calloc - allocate and zero-initialize array.
	// Віділяємо память для масиву з 9 елементами типу int і ініціюємо елементи в 0.
	int* p = (int*)calloc(9, sizeof(int));

	for (int i = 0; i < 9; i++) printf("%d ", p[i]);
	puts("");
	for (int i = 0; i < 9; i++) p[i] = i + 1;
	for (int i = 0; i < 9; i++) printf("%d ", p[i]);
	puts("");
	free(p); // Звільняємо память.

	// malloc - allocate memory block.
	// В malloc потрібно вказати скільки байтів памяті виділити.
	p = (int*)malloc(16 * sizeof(int));
	if (p == nullptr) {
		puts("Трапилась помилка.");
		exit(1);
	}
	for (int i = 0; i < 16; i++) p[i] = i + 1;
	for (int i = 0; i < 16; i++) printf("%d ", p[i]);
	puts("");
	free(p);
	return 0;
}
