#include <iostream>
#include <chrono>

void sortArray(int* a, int n) {
	int i = 0;
	while (i < (n - 1)) {
		if (a[i] > a[i + 1]) {
			int t = a[i];
			a[i] = a[i + 1];
			a[i + 1] = t;
			if (i) i--;
		} else {
			i++;
		}
	}
}


int main() {
	const int n = 10000;
	int a[n];
	for (int i = 0; i < n; i++) a[i] = n - i;

	auto t1 = std::chrono::high_resolution_clock::now();
	sortArray(a, n);
	auto t2 = std::chrono::high_resolution_clock::now();
	// Також є std::chrono::microseconds.
	auto duration = std::chrono::duration_cast<std::chrono::milliseconds>(t2 - t1).count();
	std::cout << "sortArray function duration: " << duration << " ms.\n";

	return 0;
}
