#include <iostream>
#include <thread>
#include <mutex>

// mutex потрібен там де 2 або більше потоків можут змінити спільний ресурс.
std::mutex mtx;

void print(char c) {
	mtx.lock();
	for (int i = 0; i < 4; i++) {
		 for (int n = 0; n < 8; n++) std::cout << c;
		 std::cout << std::endl;
	}
	std::cout << std::endl;
	mtx.unlock();
}

int main() {
	std::thread t1(print, '#');
	std::thread t2(print, '*');
	std::thread t3(print, '@');
	t1.join();
	t2.join();
	t3.join();
	return 0;
}
