#include <iostream>
#include <memory>

class MyClass {
public:
	MyClass() {
		std::cout << "MyClass constructor was invoked.\n";
	}
	~MyClass() {
		std::cout << "MyClass destructor was invoked.\n";
	}
	void check() {
		std::cout << "The check function was invoked.\n";
	}
};

int main() {
	{
		std::cout << "After block begin.\n";
		std::unique_ptr<MyClass> p(new MyClass);
		p.get()->check();
		std::cout << "Before block end.\n";
	}
	std::cout << "After block end.\n";
	return 0;
}
