// Sergiy Vovk, 2010.

#include <stdlib.h>
#define N 16
int a1[N], a2[N], a3[N];

void fillArrays() {
	for (int i = 0; i < N; i++) {
		a1[i] = ( (rand() % 200) - 100 );
		a2[i] = a1[i];
	}
}

void showArraysNumbers() {
	printf("a1: ");
	for (int i = 0; i < N; i++) printf("%d ", a1[i]);
	printf("\na2: ");
	for (int i = 0; i < N; i++) printf("%d ", a2[i]);
	printf("\n--------------------\n");
}

int main() {
	int i, w, g, b, k;

//-----------------------------------------
// Algorythm 1.
	fillArrays();

	do {
		b = 0;
		for (i = 0; i < (N - 1); i++) {
			if (a2[i] > a2[i + 1]) {
				k = a2[i];
				a2[i] = a2[i + 1];
				a2[i + 1] = k;
				b = 1;
			}
		}
	} while (b);

	printf("Algorythm 1.\n");
	showArraysNumbers();

//------------------------------------------
// Algorythm 2.
	fillArrays();

	i = 0;
	while ( i < (N - 1) ) {
		if ( a2[i] > a2[i + 1] ) {
			k = a2[i];
			a2[i] = a2[i + 1];
			a2[i + 1] = k;
			if (i) i--;
		} else {
			i++;
		}
	}

	printf("Algorythm 2.\n");
	showArraysNumbers();

//------------------------------------------
// Algorythm 3.
	fillArrays();

	g = -1;
	i = 0;
	while ( i < (N - 1) ) {
		if ( a2[i] > a2[i + 1] ) {
			if (g == -1) g = i + 1;
			k = a2[i];
			a2[i] = a2[i + 1];
			a2[i + 1] = k;
			if (i) i--;
		} else {
			if (g == -1) {
				i++;
			} else {
				i = g;
				g = -1;
			}
		}
	}

	printf("Algorythm 3.\n");
	showArraysNumbers();

//------------------------------------------
// Algorythm 4.
	fillArrays();

	i = 0;
	while ( i < (N - 1) ) {
		g = i;
		while ( a2[g] > a2[g + 1] ) {
			k = a2[g];
			a2[g] = a2[g + 1];
			a2[g + 1] = k;
			if (g) g--;
		}
		i++;
	}

	printf("Algorythm 4.\n");
	showArraysNumbers();

//------------------------------------------
// Algorythm 5.
	fillArrays();

	for (g = 0; g < (N - 1); g++) {
		w = g;
		for (i = (g + 1); i < N; i++) {
			if (a2[i] < a2[w]) w = i;
		}
		if (w != g) {
			k = a2[g];
			a2[g] = a2[w];
			a2[w] = k;
		}
	}

	printf("Algorythm 5.\n");
	showArraysNumbers();

//------------------------------------------
// Algorythm 6.
	fillArrays();

	for (g = 0; g < (N - 1); g++) {
		b = 1;
		w = g;
		for (i = (g + 1); i < N; i++) {
			if (a2[i - 1] > a2[i]) b = 0;
			if (a2[i] < a2[w]) w = i;
		}
		if (b) break;
		if (w != g) {
			k = a2[g];
			a2[g] = a2[w];
			a2[w] = k;
		}
	}

	printf("Algorythm 6.\n");
	showArraysNumbers();

//------------------------------------------
	for (i = 0; i < N; i++) a3[N - i - 1] = a2[i];

	printf("a3: ");
	for (i = 0; i < N; i++) printf("%d ", a3[i]);
	printf("\n");
	return 0;
}
