#include <vector>
#include <algorithm>
#include <iostream>

void show(std::vector<int>& v) {
	for_each(v.begin(), v.end(), [](int i){ std::cout << i << ' '; });
	std::cout << std::endl;
}

int main() {
	std::vector<int> v;
	for (int i = -99; i <= 99; i++) v.push_back(i);
	std::cout << "Зміст масиву v: ";
	show(v);

	srand(unsigned(time(nullptr))); // Ініціюємо генератор випадкових чисел.
	std::random_shuffle(v.begin(), v.end()); // Перемішуємо єлементи масиву.
	std::cout << "Зміст масиву v після перемішення: ";
	show(v);

	std::sort(v.begin(), v.end()); // Сортуємо масив.
	std::cout << "Зміст масиву v після сортування: ";
	show(v);
	return 0;
}
