// Compilation command: g++ -lpthread thread.cpp

#include <iostream>
#include <thread>
std::string winer = "";

void f1() {
	for (int i = 1; i <= 5; i++) {
		std::cout << ("f1: " + std::to_string(i) + "\n");
		std::this_thread::sleep_for(std::chrono::seconds(1));
	}
	winer = "f1";
}

void f2() {
	for (int i = 1; i <= 5; i++) {
		std::cout << ("f2: " + std::to_string(i) + "\n");
		std::this_thread::sleep_for(std::chrono::seconds(1));
	}
	winer = "f2";
}

int main() {
	std::thread first(f1); // spawn new thread that calls f1()
	std::thread second(f2); // spawn new thread that calls f2()
	std::cout << "main, f1 and f2 now execute concurrently.\n";

	// synchronize threads:
	first.join(); // pauses until first finishes
	second.join(); // pauses until second finishes

	std::cout << "f1 and f2 completed.\n" << winer << " won.\n";
	return 0;
}
