#include <iostream>
class ZeroDevision {};

double f(int n) throw(ZeroDevision) { // Кілька винятків можна вказати через кому.
	if (n == 0) throw ZeroDevision();
	return 5.0 / n;
}

// Функцію, яка гарантовано не кидає винятку, називають повністью безпечною функцією.
// Повністью безпечну функцію можна визначити наприклад так: void f() throw();
// або void f() noexcept;
// Клас є повністью безпечним якщо всі його методи є повністью безпечними.

int main() {
	try {
		std::cout << f(2) << std::endl;
		std::cout << f(0) << std::endl;
	} catch (ZeroDevision) {
		std::cout << "Ділення на 0.\n";
	}
	return 0;
}
