#include <iostream>

struct A { virtual void f() { std::cout << "A::f була викликана.\n"; } };
struct B : A { void f() { std::cout << "B::f була викликана.\n"; } };
struct C : A { void f() { std::cout << "C::f була викликана.\n"; } };
struct D : A { void f() { std::cout << "D::f була викликана.\n"; } };

int main() {
	A a; B b; C c; D d;
	A* array[] = { &a, &b, &c, &d };

	// Вказівка p має тип A*.
	// Але функція A::f віртуальна тому будуть викликані версії функції f
	// з класів якій має той чи інший екземпляр.
	for (A* p : array) p->f();

	return 0;
}
