#include <afxwin.h>
#include <math.h>
#include "MainWindow.h"

BEGIN_MESSAGE_MAP(CMainWnd, CFrameWnd)
	ON_WM_PAINT()
	ON_WM_TIMER()
END_MESSAGE_MAP()

CMainWnd::CMainWnd()
{
	m_dParallelepipedAngle = 0.0;
}

void CMainWnd::OnPaint() 
{
	CPaintDC dc(this);
	dc.DrawText(
		"The program was made by Sergiy Vovk. 25-06-2010.",
		CRect(30, 430, 500, 470), DT_SINGLELINE);
}

void CMainWnd::OnTimer(UINT nIDEvent)
{
	CClientDC dc(this);
	int i; double dDiagonal, dAngleBetween_W_D;
	RECT rc;
	CBrush WhiteBrush(RGB(0xFF, 0xFF, 0xFF));

	//   2- :
	POINT R1[5], R2[5];

	m_dParallelepipedAngle+=0.05;
	if (m_dParallelepipedAngle > (PI * 2))
		m_dParallelepipedAngle = 0.0;

	GetClientRect(&rc);
	rc.bottom = 410;
	dc.FillRect(&rc, &WhiteBrush);

	//   .
	R1[0].x = R_X; R1[0].y = R_Y;

	R1[1].x = (int) ( cos(m_dParallelepipedAngle) * ((double)R_WIDTH) + (double)R_X );
	R1[1].y = (int) ( sin(m_dParallelepipedAngle) * ((double)R_WIDTH) + (double)R_Y );

	dDiagonal = sqrt( pow(R_WIDTH, 2) + pow(R_HEIGHT, 2) );
	dAngleBetween_W_D = acos(R_WIDTH / dDiagonal);
	R1[2].x = (int) ( cos(m_dParallelepipedAngle + dAngleBetween_W_D) * dDiagonal + (double)R_X );
	R1[2].y = (int) ( sin(m_dParallelepipedAngle + dAngleBetween_W_D) * dDiagonal + (double)R_Y );

	R1[3].x = (int) ( cos(m_dParallelepipedAngle + (PI / 2)) * ((double)R_HEIGHT) + (double)R_X );
	R1[3].y = (int) ( sin(m_dParallelepipedAngle + (PI / 2)) * ((double)R_HEIGHT) + (double)R_Y );

	R1[4] = R1[0];

	dc.Polyline(R1, 5);

	for (i = 0; i < 5; i++) {
		R2[i].x = R1[i].x + P_Z;
		R2[i].y = R1[i].y + P_Z;
	}
	dc.Polyline(R2, 5);

	//    .
	for (i = 0; i < 4; i++) {
		dc.MoveTo(R1[i]);
		dc.LineTo(R2[i]);
	}
}
