#include <windows.h>
#include <commdlg.h>
#include <commctrl.h>
#include <stdlib.h>
#include "resource.h"
HINSTANCE hInst;
HWND hTab, hPage1, hPage2;

BOOL CALLBACK TabPageDlgProc(HWND hDlg, UINT uMsg, WPARAM wParam, LPARAM lParam) {
	return FALSE;
}

BOOL CALLBACK MainDlgProc(HWND hDlg, UINT uMsg, WPARAM wParam, LPARAM lParam) {
	switch (uMsg) {
	case WM_INITDIALOG:
		{
			TC_ITEM tie = {0};
			RECT rc; POINT pt1, pt2; int iW, iH;

			hTab = GetDlgItem(hDlg, IDC_TAB);
			tie.mask = TCIF_TEXT;
			tie.pszText = "";
			TabCtrl_InsertItem(hTab, 0, &tie); 
			tie.pszText = "";
			TabCtrl_InsertItem(hTab, 1, &tie); 

			// TabCtrl_AdjustRect  
			//     .
			GetWindowRect(hTab, &rc);
			pt1.x = rc.left;
			pt1.y = rc.top;
			pt2.x = rc.right;
			pt2.y = rc.bottom;
			ScreenToClient(hDlg, &pt1);
			ScreenToClient(hDlg, &pt2);
			SetRect(&rc, pt1.x, pt1.y, pt2.x, pt2.y);
			TabCtrl_AdjustRect(hTab, FALSE, &rc);

			iW = rc.right - rc.left;
			iH = rc.bottom - rc.top;
			hPage1 = CreateDialog(
						hInst,
						MAKEINTRESOURCE(IDD_TABPAGE1),
						hDlg, TabPageDlgProc);
			hPage2 = CreateDialog(
						hInst,
						MAKEINTRESOURCE(IDD_TABPAGE2),
						hDlg, TabPageDlgProc);
			SetWindowPos(
					hPage1, hTab, rc.left, rc.top,
					iW, iH, 0);
			SetWindowPos(
					hPage2, hPage1, rc.left, rc.top,
					iW, iH, 0);
		}
		return TRUE;

	case WM_NOTIFY: 
		if ( ((NMHDR*)lParam)->code ==
		                       TCN_SELCHANGE ) {
			if (TabCtrl_GetCurSel(hTab)) {
				ShowWindow(hPage1, SW_HIDE);
				ShowWindow(hPage2, SW_SHOWNORMAL);
			} else {
				ShowWindow(hPage1, SW_SHOWNORMAL);
				ShowWindow(hPage2, SW_HIDE);
			}
		}
		break;

	case WM_COMMAND:
		if (HIWORD(wParam) == BN_CLICKED) {
			switch (LOWORD(wParam)) {
			case IDOK: case IDCANCEL:
				EndDialog(hDlg, TRUE);
				break;
			}
		}
		return TRUE;
	}
	return FALSE;
}

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow) {
	hInst = hInstance;
	InitCommonControls();
	DialogBox(hInst, MAKEINTRESOURCE(IDD_MAIN), 0,
	          MainDlgProc);
	return 0;
}
