#include <windows.h>
#include <stdlib.h>
#include <commdlg.h>
#include <commctrl.h>
#include "resource.h" 
HINSTANCE hInst;

BOOL CALLBACK TestDlgProc(HWND hDlg, UINT uMsg, WPARAM wParam, LPARAM lParam) {
	switch (uMsg) {
	case WM_INITDIALOG:
		{
			TOOLINFO ti = {0};
			HWND hTT = CreateWindow(
					TOOLTIPS_CLASS, 0, 0,
					CW_USEDEFAULT, 0,
					CW_USEDEFAULT, 0,
					hDlg, 0, hInst, 0);
			ti.cbSize = sizeof(TOOLINFO);
			ti.uFlags = TTF_IDISHWND | TTF_SUBCLASS;

#define SETTIP(ChildId, Text) \
	ti.uId = (UINT)GetDlgItem(hDlg, (ChildId));	\
	ti.lpszText = (Text); \
	SendMessage(hTT, TTM_ADDTOOL, 0, (LPARAM)&ti)

			SETTIP(IDC_CHECK1, " ");
			SETTIP(IDC_RADIO1, " 1");
			SETTIP(IDC_RADIO2, " 2");
 
#undef SETTIP
		}
		return TRUE;
	case WM_COMMAND:
		switch (LOWORD(wParam)) {
		case IDOK: case IDCANCEL:
			EndDialog(hDlg, TRUE);
			break;
		}
		return TRUE;
	}
	return FALSE;
}

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nShowCmd) { 
	hInst = hInstance;
	InitCommonControls();
	DialogBox(hInstance, MAKEINTRESOURCE(IDD_TEST),
	          0, (DLGPROC)TestDlgProc);
	return 0;
}
