//   Windows-.
#include <windows.h>

LRESULT CALLBACK TestWndProc(HWND hWnd,	UINT uMsg, WPARAM wParam, LPARAM lParam) {
	switch (uMsg) {
	case WM_DESTROY:
		PostQuitMessage(0);
		break;
	default:
		return DefWindowProc(hWnd, uMsg, wParam, lParam);
	}
	return 0;
}

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow) {
	WNDCLASS wc = {0}; HWND hW; MSG msg;
	wc.lpfnWndProc   = TestWndProc;
	wc.hInstance     = hInstance;
	wc.lpszClassName = "TestWinClass";
	wc.hbrBackground = (HBRUSH)COLOR_WINDOWFRAME;
	RegisterClass(&wc);
	hW = CreateWindow(
			"TestWinClass", "Test",
			WS_OVERLAPPEDWINDOW,
			CW_USEDEFAULT, 0, CW_USEDEFAULT, 0,
			0, 0, hInstance, 0);
	ShowWindow(hW, nCmdShow);
	while (GetMessage(&msg, 0, 0, 0)) {
		TranslateMessage(&msg);
		DispatchMessage(&msg);
	}
	return msg.wParam;
}
