#include <GL/glut.h>

void renderScene() {
	glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);

	// Цей код потрібен для збереження пропорції зображення.
    glMatrixMode(GL_PROJECTION);
    glLoadIdentity();
    double w = glutGet(GLUT_WINDOW_WIDTH);
    double h = glutGet(GLUT_WINDOW_HEIGHT);
    double ar = w / h;
    glOrtho(-2 * ar, 2 * ar, -2, 2, -1, 1);
    glMatrixMode(GL_MODELVIEW);
    glLoadIdentity();

	glColor3ub(0, 255, 0); // Вибрали зелений колір.
    glBegin(GL_QUADS);
		glVertex2i(-1, -1);
		glVertex2i(1, -1);
		glVertex2i(1,  1);
		glVertex2i(-1,  1);
	glEnd();

	glutSwapBuffers();
}

int main(int argc, char** argv) {
	glutInit(&argc, argv);

	glutInitDisplayMode(GLUT_DEPTH | GLUT_DOUBLE | GLUT_RGBA);
	glutInitWindowPosition(80, 10);
	glutInitWindowSize(1200, 700);
	glutCreateWindow("2d primitives");

	// Реєстрація зворотних викликів.
	glutDisplayFunc(renderScene);

	glutMainLoop();
	return 0;
}
